Loading...
Searching...
No Matches
gtsam::SfmTrack2d Struct Reference

## Detailed Description

Track containing 2D measurements associated with a single 3D point.

Note: Equivalent to gtsam.SfmTrack, but without the 3d measurement. This class holds data temporarily before 3D point is initialized.

Inheritance diagram for gtsam::SfmTrack2d:

## Public Member Functions

Constructors
| SfmTrack2d (const std::vector< SfmMeasurement > &measurements)
Standard Interface
void | addMeasurement (size_t idx, const gtsam::Point2 &m)
| Add measurement (camera_idx, Point2) to track.
size_t | numberMeasurements () const
| Total number of measurements in this track.
const SfmMeasurement & | measurement (size_t idx) const
| Get the measurement (camera index, Point2) at pose index idx.
const SiftIndex & | siftIndex (size_t idx) const
| Get the SIFT feature index corresponding to the measurement at idx.
bool | hasUniqueCameras () const
| Check that no two measurements are from the same camera.
Vectorized Interface
Eigen::MatrixX2d | measurementMatrix () const
| Return the measurements as a 2D matrix.
Eigen::VectorXi | indexVector () const
| Return the camera indices of the measurements.

## Public Attributes

std::vector< SfmMeasurement > | measurements
| The 2D image projections (id,(u,v)).
std::vector< SiftIndex > | siftIndices
| The feature descriptors (optional).

## Member Function Documentation

## hasUniqueCameras()

bool gtsam::SfmTrack2d::hasUniqueCameras | ( |  | ) | const

inline

Check that no two measurements are from the same camera.

Returns
  boolean result of the validation.

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/sfm/SfmTrack.h